#
# spec file for package susehelp (Version 2003.08.21)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  apache-devel-packages gettext perl-XML-Parser
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel apache apache-devel autoconf automake binutils cracklib expat gcc gdbm gettext libtool mm mod_ssl perl perl-XML-Parser rpm

Name:         susehelp
License:      GPL
Group:        Documentation/SuSE
Provides:     manhtml susehilf dochost
Obsoletes:    susehilf dochost
Requires:     susehelp_lang suse_help_viewer htdig recode wget inf2htm
PreReq:       %fillup_prereq
Autoreqprov:  on
Version:      2003.08.21
Release:      38
Summary:      SuSE Help-System (base)
Source:       %{name}-%{version}.tar.bz2
Patch0:       susehelp_searchspecialchars.diff
Patch1:       susehelp_utf8headers.diff
Patch2:       susehelp_sdb.diff
Patch4:       default-lang-link.diff
Patch5:       susehelp_manshow.diff
Patch6:       susehelp_acl.diff
Source1:      susehelp_acl.conf
Source2:      susehelp_acl
BuildArchitectures: noarch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%package -n susehelp_en
Requires:     susehelp
Summary:      SuSE Help-System (base)
Group:        Documentation/SuSE
Provides:     susehelp_lang
%package -n susehelp_de
Requires:     susehelp
Summary:      SuSE Help-System (base)
Group:        Documentation/SuSE
Provides:     susehelp_lang
%package -n susehelp_fr
Requires:     susehelp
Summary:      SuSE Help-System (base)
Group:        Documentation/SuSE
Provides:     susehelp_lang
%package -n susehelp_es
Requires:     susehelp
Summary:      SuSE Help-System (base)
Group:        Documentation/SuSE
Provides:     susehelp_lang
%package -n susehelp_it
Requires:     susehelp
Summary:      SuSE Help-System (base)
Group:        Documentation/SuSE
Provides:     susehelp_lang
%package -n susehelp_cz
Requires:     susehelp 
Summary:      SuSE Help-System (base)
Group:        Documentation/SuSE
Provides:     susehelp_lang susehelp_cs
Obsoletes:    susehelp_cs 
%package -n susehelp_hu
Requires:     susehelp
Summary:      SuSE Help-System (base)
Group:        Documentation/SuSE
Provides:     susehelp_lang

%description -n susehelp
This package contains the basics of the SuSE Help System.

The SuSE Help System centralizes all Linux documentation in a clear,
structured manner with convenient search capabilities. For quick start,
click on the lifesaver in the desktop panel. For configuration, use the
KDE Control Center.

For more information, have a look at
/usr/share/doc/packages/susehelp/README.



Authors:
--------
    <suse@suse.de>


%description -n susehelp_en
This package contains the basics of the SuSE Help System.

The SuSE Help System centralizes all Linux documentation in a clear and
structured manner with convenient search capabilities. For quick start,
click on the lifesaver on the desktop panel. For configuration, use the
KDE Control Center.

For more information have a look at
/usr/share/doc/packages/susehelp_en/README.



Authors:
--------
    <suse@suse.de>


%description -n susehelp_de
This package contains the basics of the SuSE Help System.

The SuSE Help System centralizes all Linux documentation in a clear and
structured manner with convenient search capabilities. For quick start,
click on the lifesaver on the desktop panel. For configuration, use the
KDE Control Center.

For more information have a look at
/usr/share/doc/packages/susehelp_de/README.



Authors:
--------
    <suse@suse.de>


%description -n susehelp_fr
This package contains the basics of the SuSE Help System.

The SuSE Help System centralizes all Linux documentation in a clear and
structured manner with convenient search capabilities. For quick start,
click on the lifesaver on the desktop panel. For configuration, use the
KDE Control Center.

For more information, have a look at
/usr/share/doc/packages/susehelp_fr/README.



Authors:
--------
    <suse@suse.de>


%description -n susehelp_es
This package contains the basics of the SuSE Help System.

The SuSE Help System centralizes all Linux documentation in a clear and
structured manner with convenient search capabilities. For quick start,
click on the lifesaver on the desktop panel.  For configuration, use
the KDE Control Center.

For more information have a look at
/usr/share/doc/packages/susehelp_es/README.



Authors:
--------
    <suse@suse.de>


%description -n susehelp_it
This package contains the basics of the SuSE Help System.

The SuSE Help System centralizes all Linux documentation in a clear and
structured manner with convenient search capabilities. For quick start,
click on the lifesaver on the desktop panel. For configuration, use the
KDE Control Center.

For more information, look at
/usr/share/doc/packages/susehelp_it/README.



Authors:
--------
    <suse@suse.de>


%description -n susehelp_cz
This package contains the basics of the SuSE Help System.

The SuSE Help System centralizes all Linux documentation in a clear and
structured manner with convenient search capabilities.

For quick start, click on the lifesaver on the desktop panel. For
configuration, use the KDE Control Center.

For more information, have a look at
/usr/share/doc/packages/susehelp/README.



Authors:
--------
    <suse@suse.de>


%description -n susehelp_hu
This package contains the basics of the SuSE Help System.

The SuSE Help System centralizes all Linux documentation in a clear and
structured manner with convenient search capabilities. For quick start,
click on the lifesaver on the desktop panel. For configuration, use the
KDE Control Center.

For more information, look at
/usr/share/doc/packages/susehelp_hu/README.



Authors:
--------
    <suse@suse.de>

%define docdir		/usr/share/doc
%define susehelpdir	/usr/share/susehelp
%define apacheconf      %(apxs -q SYSCONFDIR)
%define apacheserver  	%(apxs -q datadir 2>/dev/null || apxs -q PREFIX)
%define cgibin          %{apacheserver}/cgi-bin/susehelp
%define localedir       /usr/share/locale
%define susehelpvardir  /var/lib/susehelp
%define susehelpindexdir /var/cache/susehelp
%prep
%setup -n %{name}
%patch0
%patch1
%patch2
%patch4
%patch5
%patch6

%build
make
perl -p -i*.orig -e '$a="%{apacheserver}"; s/^(\$apachedir\s*=\s*)(.*)/$1"$a";/;' share/susehelprc
perl -p -i*.orig -e 's/^(\$dbg\s*=\s*)(.*)/$1"0";/;' share/susehelprc

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT BINDIR=%{_bindir} \
	APACHDEDIR={%apacheconf} \
	CGIDIR=%{cgibin} install
pushd $RPM_BUILD_ROOT%{_bindir}
ln -s susehelp hilfe
ln -s susehelp segtsg
ln -s susehelp suseaide
ln -s susehelp suseayuda
ln -s susehelp suseaiuto
popd
install -d $RPM_BUILD_ROOT/usr/sbin
install -m755 bin/susedig.sh $RPM_BUILD_ROOT/usr/sbin
#SuSEconfig, sysconfig
install -d $RPM_BUILD_ROOT/sbin/conf.d
install -m 755 bin/SuSEconfig.susehelp $RPM_BUILD_ROOT/sbin/conf.d
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 conf/sysconfig.susehelp $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 conf/sysconfig.apache-susehelp $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{apacheconf}
install -m 655 %{SOURCE2} $RPM_BUILD_ROOT/%{apacheconf}/modules
install -d $RPM_BUILD_ROOT/%{susehelpvardir}
install -m 775 -d $RPM_BUILD_ROOT/%{susehelpindexdir}
touch $RPM_BUILD_ROOT/%{susehelpvardir}/dochost
mkdir -p $RPM_BUILD_ROOT/etc/permissions.d/
echo "%{susehelpindexdir}            root.man  0775 " >> $RPM_BUILD_ROOT/etc/permissions.d/susehelp
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}
cp README $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}
#Disable broken script
rm $RPM_BUILD_ROOT/%{cgibin}/pac*
./createfilelist.pl %{susehelpdir}

%post
%{fillup_only}
%{fillup_only -an apache}

%files -n susehelp -f metafilelist
%defattr(-,root,root)
%config %{apacheconf}/susehelp.conf
%config %{apacheconf}/susehelp_acl.conf
%config %{apacheconf}/modules/susehelp
%config %{apacheconf}/modules/susehelp_acl
/sbin/conf.d/SuSEconfig.susehelp
/var/adm/fillup-templates/sysconfig.susehelp
/var/adm/fillup-templates/sysconfig.apache-susehelp
/usr/sbin/susedig.sh
%{_bindir}/susehelp
%{_bindir}/susehelpindex
%{cgibin}
%dir %{susehelpdir}
%dir %{susehelpdir}/docserver
%dir %{susehelpdir}/i18n
%dir %{susehelpdir}/htdig
%{susehelpdir}/img
%{susehelpdir}/htdig/*.html
%{susehelpdir}/htdig/en
%{susehelpdir}/genhtdig.pl
%{susehelpdir}/genpaclist.pl
%{susehelpdir}/susehelp.symbols
%{susehelpdir}/susehelprc
%{susehelpdir}/khelpcenter.template
%dir %{susehelpvardir}
%{susehelpvardir}/dochost
%attr(0775,root,man) %dir %{susehelpindexdir}
/etc/permissions.d/susehelp
%doc %{_defaultdocdir}/%{name}

%files -n susehelp_de -f metafilelist.de
%defattr(-,root,root)
%{susehelpdir}/i18n/de
%{localedir}/de/LC_MESSAGES/*
%{_bindir}/hilfe
%{susehelpdir}/docserver/index.html.de
%{susehelpdir}/htdig/de

%files -n susehelp_en -f metafilelist.en
%defattr(-,root,root)
%{susehelpdir}/i18n/en
%{susehelpdir}/docserver/index.html.en

%files -n susehelp_fr -f metafilelist.fr
%defattr(-,root,root)
%{susehelpdir}/i18n/fr
%{localedir}/fr/LC_MESSAGES/*
%{_bindir}/suseaide
%{susehelpdir}/docserver/index.html.fr

%files -n susehelp_es -f metafilelist.es
%defattr(-,root,root)
%{susehelpdir}/i18n/es
%{localedir}/es/LC_MESSAGES/*
%{_bindir}/suseayuda
%{susehelpdir}/docserver/index.html.es

%files -n susehelp_it -f metafilelist.it
%defattr(-,root,root)
%{susehelpdir}/i18n/it
%{_bindir}/suseaiuto
%{susehelpdir}/docserver/index.html.it

%files -n susehelp_hu -f metafilelist.hu
%defattr(-,root,root)
%{susehelpdir}/i18n/hu
%{_bindir}/segtsg
%{susehelpdir}/docserver/index.html.hu

%files -n susehelp_cz -f metafilelist.cz
%defattr(-,root,root)
%{susehelpdir}/i18n/cz
%{susehelpdir}/docserver/index.html.cz

%changelog -n susehelp
* Mon Feb 09 2004 - cschum@suse.de
- Correctly activate ACLs for susehelp CGI scripts also when doc
  server isn't activated.
- Prevent passing a pager command to man by manshow.cgi arguments.
- Fixes #34254.
* Thu Sep 18 2003 - cschum@suse.de
- Fix online SDB links (#31290).
* Tue Sep 02 2003 - cschum@suse.de
- Fix encoding of search titles.
- Fix search for documents containing a dash in the desktop file
  name.
* Thu Aug 21 2003 - cschum@suse.de
- Fixed HTML template for khelpcenter.
* Wed Aug 20 2003 - cschum@suse.de
- Added sysconfig activation metadata (#28832, #28947).
* Mon Jul 28 2003 - cschum@suse.de
- Add correct entries for special KDE doc entries (#21766).
* Fri Jul 25 2003 - cschum@suse.de
- Adapt to new KHelpcenter generating its own directory overview
  pages.
* Tue Jul 15 2003 - cschum@suse.de
- Correctly pass language information in overview pages (#25422).
* Thu Jul 03 2003 - pthomas@suse.de
- Use sed to substitute actual path to susehelpindex in
  SuSEconfig.susehelp.
* Mon Jun 16 2003 - cschum@suse.de
- Added directories containing meta data to filelist.
* Mon May 26 2003 - cschum@suse.de
- Removed unpackaged file from BUILDDIR.
* Tue May 13 2003 - cschum@suse.de
- Fixed display problem in overview page.
* Mon May 12 2003 - cschum@suse.de
- Fixed sorting of entries in overview and search page (#26778).
* Wed May 07 2003 - cschum@suse.de
- Fixed search for multiple words (#25879).
- Some charset and translation fixes for german.
- Fixed search in manpages (#18169).
- Show links to KDE docs, man and info pages in overview pages
  (#18635).
- Fixed search for ".directory" files.
- Added support for "X-DOC-Identifier" attribute in xml2meta.pl.
* Mon May 05 2003 - cschum@suse.de
- Fixed search for words containing non-ascii characters (#18427).
- Small cleanups of doc meta info.
* Thu Apr 17 2003 - cschum@suse.de
- Specify permissions for /var/cache/susehelp in /etc/permissions.d
- Reordered categories.
* Mon Apr 14 2003 - cschum@suse.de
- Added support for showing GNOME docs.
- Generate meta data from XML file.
* Mon Mar 17 2003 - adrian@suse.de
- create a index.html default link for docserver
  (hard link, symlink isn't allowed by webserver)
* Wed Mar 12 2003 - schwab@suse.de
- Remove misplaced comment in sysconfig template that confuses fillup.
* Thu Feb 27 2003 - cschum@suse.de
- Fixed search in SuSE manuals and other translated documents.
* Thu Feb 20 2003 - cschum@suse.de
- Restrict PATH when running indexer.
* Wed Feb 19 2003 - cschum@suse.de
- Restrict access to susehelp CGI scripts.
* Fri Feb 14 2003 - cschum@suse.de
- Fixed german translations.
- Fixed encoding of sdb search results.
- /var/cache/susehelp is owned by group man.
* Fri Feb 07 2003 - cschum@suse.de
- Generate index files in configurable directory (default:
  /var/cache/susehelp).
- Generate "file:" URLs for local files when cgi scripts are run
  in khelpcenter.
* Fri Jan 24 2003 - cschum@suse.de
- Fixed permissions of susehelp.mo files.
* Fri Jan 24 2003 - cschum@suse.de
- Fixed path to cgi scripts in docserver navigation buttons.
* Mon Jan 20 2003 - cschum@suse.de
- Moved susehelp CGI scripts to own subdirectory.
* Wed Jan 08 2003 - cschum@suse.de
- Correctly remove special characters from CGI parameters.
* Thu Oct 24 2002 - cschum@suse.de
- Fixed search for SuSE manuals.
* Tue Sep 10 2002 - cschum@suse.de
- Fixed some paths in desktop files for directories.
* Thu Sep 05 2002 - cschum@suse.de
- Fixed colors of susehelp logo.
- Added hungarian translations for desktop files.
* Mon Sep 02 2002 - cschum@suse.de
- Disabled package description docs, because they don't work with
  new package manager.
- Added new susehelp graphics.
- Adapted colors to default desktop colors.
- Enabled search for same documents as in SL 8.0.
* Wed Aug 21 2002 - cschum@suse.de
- Require inf2htm for showing info pages with doc server.
- Fixed meta files for SuSE manuals.
* Sun Aug 18 2002 - cschum@suse.de
- Updated documentation in README and sysconfig files.
- Rearranged desktop files to be more consistent.
- Fixed some minor bugs.
* Sun Aug 11 2002 - cschum@suse.de
- Fixed inclusion of susehelp.pm from non-cgi scripts.
- Put contents list on docserver start page.
- Fixed paths of package lists.
- Removed excessive flag icons.
- Fixe help center binary name in susehelp script.
* Mon Aug 05 2002 - cschum@suse.de
- Adapted to new htdig and apache paths.
- Added decent licence and copyright headers.
- Added man and info page support.
* Fri Aug 02 2002 - ro@suse.de
- adapt server root
- added prereq
* Mon Jul 22 2002 - cschum@suse.de
- Rewrote most of the scripts.
- Documents are now consistently referenced by .desktop files.
- Labels* and HTML-Links* files aren't needed anymore.
- Help is now suitable for being shown by the standard khelpcenter,
  susehelpcenter is obsolete.
* Wed Jun 12 2002 - ro@suse.de
- fix build independent of apache version
* Wed Apr 03 2002 - egmont@suselinux.hu
- Fixed Hungarian translations.
* Fri Mar 22 2002 - adrian@suse.de
- using "rpmqpack" instead of "rpm -q" for speed reasons
* Mon Mar 18 2002 - cschum@suse.de
- Replace paths to PDF by path to HTML for SuSE books.
* Wed Mar 13 2002 - cschum@suse.de
- Fixed search of package descriptions.
- Fixed display of htdig search results.
* Mon Mar 11 2002 - cschum@suse.de
- Fixed startup of doc server.
* Sat Mar 09 2002 - kukuk@suse.de
- Add %%{susedir} to filelist
* Thu Mar 07 2002 - cschum@suse.de
- Fixed generation and display of package descriptions.
- Fixed Selfhtml path [Bug 14678].
* Mon Feb 25 2002 - cschum@suse.de
- Made pages look consistent.
- Fixed HTML output of search script.
* Thu Feb 21 2002 - cschum@suse.de
- Added new background picture to docserver.
- Adapted HTML to be displayed faster.
- Fixed genhtml reading from stdin.
* Mon Feb 18 2002 - cschum@suse.de
- Fixed .conf file parsing.
- Updated .conf files for SuSE manuals [Bug 12209].
- Fixed file conflicts of .conf files [Bug 12477].
* Mon Feb 11 2002 - cschum@suse.de
- Rewrote start scripts.
- Fixed i18n of start scripts.
- Doc server layout cleanups.
- Separation of HTML code and scripts.
* Mon Feb 04 2002 - cschum@suse.de
- Replaces remaining rc.config references.
- Remove geeko.
* Thu Jan 31 2002 - cschum@suse.de
- Replaced references to /etc/rc.config by /etc/sysconfig/susehelp
- Localized start scripts are now one single script
* Tue Nov 20 2001 - kukuk@suse.de
- Fix path for new selfhtml documentation
* Mon Nov 05 2001 - poeml@suse.de
- use apache-devel-packages macro in #neededforbuild
  (apxs -q fails without expat.rpm)
* Fri Nov 02 2001 - kukuk@suse.de
- Add Apache module config file to file list
* Wed Oct 31 2001 - adrian@suse.de
- apply security fix from Sebastian Krahmer
* Fri Oct 05 2001 - adrian@suse.de
- apply last minute changes in hungarian translation
* Sat Sep 22 2001 - adrian@suse.de
- fix for change KDE documentation system
  (KDE 2.2 is using docbook native instead of html )
- set DOC_SERVER to "no" by default
  (most users are using susehelpcenter)
- force to create htdig conf files, due to missing check of
  changed enviroment
- fix some places where broken html code is generated
- fix conf files
* Sun Sep 16 2001 - adrian@suse.de
- some fixes in conf files
- several shell scripts (syntax and function)
* Thu Sep 06 2001 - utuerk@suse.de
- fixed manpage-index for dochost [8462]. We don't use allman's any
  longer, the index-files are created on the fly based on
  /var/cache/man/whatis which is daily updated by cron.
- changed layout-colors to fit new SuSE-theme
* Thu Aug 23 2001 - utuerk@suse.de
- new variable DOC_AUTOINDEX in etc/rc.config
- fixed typo in SuSEconfig.susehilf, susedig.sh [#9563]
- include rman in hosts.allow only if docserver is
  configured and rman is installed [#9565]
- susehelp-package provides now all /etc/susehelp.d/*.conf's
* Tue Jul 17 2001 - utuerk@suse.de
- handle items Package/Installed of susehelp.d/conf's
- made HTML-links relative [#7385]=[#6650]
- provide /etc/httpd/modules/susehelp for proper include to apache
  [#9212], [#7387]
- fixed SuSEconfig.susehilf [#9127]: sed with # instead of /
- renamed package susehelp_cs -> susehelp_cz
- add susehilf/cz/
- create /var/lib/susehelp for hu too
- changed layout for package descriptions
* Mon May 14 2001 - poeml@suse.de
- add empty adm files to remove old ones in case of an update
- don't modify suse_include.conf, let SuSEconfig.apache do it
  [#7387]
- add Multiviews option to <Directory /usr/share/doc> in
  susehelp.conf and rename index_??.html to index.html.?? -- to let
  apache choose the right language [#8159]
* Thu May 10 2001 - utuerk@suse.de
- fixed htdig configuration for pdf-files
- fixed start-Link for info-Pages
- fixed 'could not open en/pac.po' (engl .po files now generally
  in susehelp.rpm
- fixed apache configuration to start from the box - bug [7387]
* Mon May 07 2001 - utuerk@suse.de
- bug [7616] corrected path to generatepaclist.pl
- generate index files for gnome-docu in susedig.sh
* Mon Apr 30 2001 - utuerk@suse.de
- changed layout
* Fri Apr 27 2001 - poeml@suse.de
- apache manual has moved to /usr/local/httpd/htdocs/manual, so the
  alias in susehelp.conf has changed, too
* Thu Apr 26 2001 - utuerk@suse.de
- bug [7042] moved apache ServerRoot back to its old location (now
  by using apxs to determine it) in the spec file and in
  skel/bin/cgi-bin/stdsearch.sh and skel/bin/susedig.sh
- added .po-files for es, fr, it, hu
* Wed Apr 25 2001 - adrian@suse.de
- drop welcome.html pages, we have SuSEwizard now
* Thu Mar 29 2001 - utuerk@suse.de
- package split into languages
- moved location of cgi-bin to /var/www/cgi-bin (was /usr/local/httpd)
- fixed generatepaclist.pl
* Thu Mar 01 2001 - utuerk@suse.de
- names of /etc/susehelp.d/*.conf's now without _language !
- utf-8 incoding
- translations now in .po-files (was dolang-??.sh)
- languages symbolised with flags
- fixed startpages for dochost [bug 6552]
* Mon Feb 05 2001 - utuerk@suse.de
- more hungarian fixes
* Thu Feb 01 2001 - utuerk@suse.de
- fixed some hungarian translations
* Wed Jan 31 2001 - utuerk@suse.de
- added hungarian translations
* Wed Jan 24 2001 - mhafner@suse.de
- fix generatepaclist.pl to show correct language
- FIXME: changed topics file but should rather fix SHC
* Mon Jan 22 2001 - utuerk@suse.de
- fix SuSEconfig.susehilf
- fix stdsearch.sh (matchesperpage)
* Mon Jan 22 2001 - utuerk@suse.de
- welcome.html from wimer
- included README
* Sat Jan 20 2001 - adrian@suse.de
- fix susedig call. runs less often now.
* Thu Jan 18 2001 - utuerk@suse.de
- create kdeappl-index in susedig.sh
- use short.html instead of desc.html as htdig-output for susetour
* Wed Jan 17 2001 - utuerk@suse.de
- fixed translation bugs
- fixed htdig configuration for susetour
- fixed placement of HEADER.html
* Tue Jan 16 2001 - utuerk@suse.de
- fixed susedig.sh (htdig.confs working with dochost options)
* Tue Jan 16 2001 - utuerk@suse.de
- fixed stdsearch.sh (to call pac:/(lang)...)
- changed doc_??.conf to ddir_en.conf
* Tue Jan 16 2001 - utuerk@suse.de
- fixed susedig.sh
- translations for search.html, advanced.html, contenttree.html
- fixed generatepaclist.pl [ BUG 5464 ]
* Sun Jan 14 2001 - adrian@suse.de
- fix bogus output from extraconf.sh while simple search
* Fri Jan 12 2001 - mhafner@suse.de
- fixed some gen* scripts, the pac scripts and added translations
* Thu Jan 11 2001 - utuerk@suse.de
- man.conf, pac.conf only in english + DEFAULT_LANGUAGE
- fixed genindex.pl for other languages
- fixed extractconf.sh
* Wed Jan 10 2001 - utuerk@suse.de
- fixed susehelp.spec
* Wed Jan 10 2001 - utuerk@suse.de
- startpage generated
- susedig.sh fixes
- obsoletes dochost
* Tue Jan 09 2001 - adrian@suse.de
- only one package again
  htdig runs in background now
* Fri Jan 05 2001 - utuerk@suse.de
- splitted in language_packages
- fixed susedig.sh
- fixed SuSEconfig.susehelp
* Tue Jan 02 2001 - utuerk@suse.de
- fixed SuSEconfig.susehelp
- fixed contenttree.html
- fixed stdsearch.sh
* Thu Dec 21 2000 - utuerk@suse.de
- generate advanced.html and contenttree.html from conf's
- fixed pak.html
- create starting htdig-dbs when first runing SuSEconfig
* Tue Dec 19 2000 - utuerk@suse.de
- added translations it, fr
- hilfe, susehelp, ..: start susehelpcenter
* Mon Dec 18 2000 - utuerk@suse.de
- package descriptions converted on the fly
* Wed Dec 13 2000 - utuerk@suse.de
- changed some HTML pages (wimer)
- implemented infoPages and manPages search in stdsearch.sh
- moved htdig config-files to /etc/susehelp.d/htdig
* Thu Nov 30 2000 - utuerk@suse.de
- changed required-tag
- changed packagename
* Thu Nov 23 2000 - utuerk@suse.de
- implemented search
* Thu Jul 27 2000 - uli@suse.de
- reenabled kfm (the problem has been worked around by changing
  some HTML pages)
* Fri Jul 21 2000 - uli@suse.de
- added improved content.html's
- disabled kfm, it crashes too often
* Wed Jul 19 2000 - uli@suse.de
- added content.html pages with link to susetour
* Mon Jul 17 2000 - uli@suse.de
- added new susehelp.conf
* Mon Jul 17 2000 - uli@suse.de
- fixed typos in Spanish HTML pages
* Mon Jul 17 2000 - uli@suse.de
- scripts now use kfm as X browser if run from KDE
* Sat Jul 15 2000 - uli@suse.de
- added new HTML pages by wimer
- added HEADER.html in %%{_docdir}
* Fri Jul 14 2000 - uli@suse.de
- fixed some "/usr/doc" stuff in HTML pages
* Tue Jul 11 2000 - uli@suse.de
- removed welcome dir (now in susetour package)
- added check for local http server before falling back to file://
* Wed Jun 28 2000 - uli@suse.de
- fixed syntax error in whatis2i.html.perl
* Mon Jun 26 2000 - ro@suse.de
- integrated dif, adapted colors
* Mon Jun 26 2000 - kasal@suse.de
- created susehilf.dif (patches a typo)
* Mon Jun 19 2000 - ro@suse.de
- specfile fix
* Mon Jun 19 2000 - ro@suse.de
- added susehelp.conf
* Fri Jun 16 2000 - uli@suse.de
- added Spanish version (preliminary, title PNGs missing)
* Wed Jun 07 2000 - ro@suse.de
- moved to /usr/share/doc/susehilf
* Wed May 10 2000 - ro@suse.de
- specfile fix
* Wed Apr 19 2000 - ro@suse.de
- made package noarch
* Tue Mar 14 2000 - freitag@suse.de
- opening LANGUAGE dependant - using rc.config in every wrapper
  script susehelp, hilfe and suseaide. Default is english.
* Wed Mar 08 2000 - freitag@suse.de
- fixing links to howto-index, remove dep. on htmlhowto_de
* Tue Mar 07 2000 - freitag@suse.de
- fixed some links...
* Wed Feb 16 2000 - uli@suse.de
- replaced index*.html with new version by chofman
- added a few dependencies
* Sat Feb 12 2000 - ro@suse.de
- another specfile fix
* Sat Feb 12 2000 - ro@suse.de
- next try
* Sat Feb 12 2000 - ro@suse.de
- fixed specfile: path generation
* Thu Feb 10 2000 - ro@suse.de
- updated french text
* Thu Feb 10 2000 - ro@suse.de
- fixed to work with apache configuration
  (packages with docu in non-standard places are displayed just locally)
* Tue Feb 01 2000 - uli@suse.de
- flipped the toad
* Mon Oct 04 1999 - uli@suse.de
- removed references to gnuhtml
* Mon Sep 20 1999 - ro@suse.de
- added requires web_browser
* Fri Aug 20 1999 - uli@suse.de
- added hint concerning viewing of man pages
* Mon Jun 07 1999 - uli@suse.de
- removed references to sdb_cgi
* Thu Apr 08 1999 - uli@suse.de
- ...and another one causing the French index page to link to the
  German descriptions
* Thu Apr 08 1999 - uli@suse.de
- fixed typo causing German HTML docs index page to be overwritten by
  the French one
* Mon Mar 22 1999 - uli@suse.de
- fixed SDB links (again :)
* Fri Mar 19 1999 - uli@suse.de
- merged in French translation
* Mon Mar 15 1999 - uli@suse.de
- updated to comply with new SDB structure
* Thu Dec 17 1998 - uli@suse.de
- fixed a lot of bad English grammar, punctuation, style etc.
- removed all dots in HTML pages and pixmaps
- general housekeeping
* Mon Dec 14 1998 - uli@suse.de
- SuSEconfig.susehilf: fixed a typo, removed dots
* Mon Dec 14 1998 - bs@suse.de
- removed Version fron SuSEconfig.susehilf
* Sat Dec 12 1998 - bs@suse.de
- removed "nothing to do" message.
* Mon Dec 07 1998 - uli@suse.de
- fixed index*.html wrt language-dependent sdb packages
* Fri Nov 27 1998 - uli@suse.de
- adapted HOWTO links to new directory structure
* Wed Nov 25 1998 - uli@suse.de
- replaced references to arena with netscape
* Wed Jul 29 1998 - bs@suse.de
- ready for autobuild
- incorporated packages from live cd.
